# twimgarc

This is a utility for scraping all images that are posted to your twitter
timeline.

The motivation is to ease the process of getting screenshots off of my Switch,
since the manufacturer doesn't seem too eager to make that process work in a
reasonable manner.

## Instructions

Set up a twitter developer account and register an application along with the
necessary keys and tokens.

Installing twimgarc from source is as easy as any other go project:

`go get git.bullercodeworks.com/brian/twimgarc`

The configuration file will be created/looked for in the working directory so
keep that in mind when you're running it or setting up a service to keep it
running or however you want to do it.

On first run the app will ask for all tokens/secrets from twitter, as well
as the directory that you would like images to be downloaded to.

## Usage

```
twimgarc - Download Images from a Twitter Stream
    -count,-c=<num>        Pull the last <num> tweets
    -force,-f              Download images even if the file already exists
    -help ,-h              View this message
    -verbose ,-v           Be chatty
```
